/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.taxiservicios.model.core;

import com.arrebol.taxiservicios.model.enums.SystemPropertyType;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Carlos Janitzio Zavala Lopez <janitzio.zavala@arrebol.com.mx>
 */
public class SystemProperty implements Serializable {

    private static final long serialVersionUID = -1l;

    private String id;
    private SystemPropertyType propertyName;
    private String propertyValue;
    private String createdBy;
    private Date createdOn;
    private String lastUpdatedBy;
    private Date lastUpdatedOn;

    public SystemProperty() {
    }

    /**
     *
     * @param id
     * @param propertyName
     * @param propertyValue
     */
    public SystemProperty(String id, SystemPropertyType propertyName, String propertyValue) {
        this.id = id;
        this.propertyName = propertyName;
        this.propertyValue = propertyValue;
    }

    /**
     *
     * @param id
     * @param propertyValue
     */
    public SystemProperty(String id, String propertyValue) {
        this.id = id;
        this.propertyValue = propertyValue;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public SystemPropertyType getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(SystemPropertyType propertyName) {
        this.propertyName = propertyName;
    }

    public String getPropertyValue() {
        return propertyValue;
    }

    public void setPropertyValue(String propertyValue) {
        this.propertyValue = propertyValue;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public String getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(String lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    @Override
    public String toString() {
        return "SystemProperty{" + "propertyName=" + propertyName + ", propertyValue=" + propertyValue + '}';
    }

}
